Page MenuHomePhabricator

Logged errors should provide a full stack trace
Closed, ResolvedPublic

Description

@Pnorman and I have spent a substantial amount of time attempting to debug a fatal error with the following log output:

{"name":"tilerator","hostname":"maps-test2004","pid":14,"level":60,"levelPath":"fatal/service-runner/unhandled","msg":"Cannot read property 'length' of undefined","time":"2018-05-31T19:42:45.546Z","v":0}

This wasn't much to go on, as there are many possible places in any given project (including node modules) where one might try to read the length of something that turns out not to be defined. We worked around it with a monkey-patch to log err.stack (see T194106#4247754). To avoid having to resort to measures like this, logger.js should be updated to give a full stack trace.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2018, 12:44 AM
Mholloway updated the task description. (Show Details)Jun 1 2018, 1:24 PM
Pchelolo added a subscriber: Pchelolo.

Weird, cause we normally use bunyan's standard error serializer for this and it should include the stack trace. I'll have a look.

Mholloway updated the task description. (Show Details)Jun 1 2018, 6:12 PM
Pchelolo closed this task as Resolved.Jun 5 2018, 10:29 AM
Pchelolo claimed this task.
Pchelolo edited projects, added Services (done); removed Services (doing).

Merged, the stack traces will appear back after the next deployment.

Vvjjkkii renamed this task from Logged errors should provide a full stack trace to fvbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Pchelolo as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
mobrovac renamed this task from fvbaaaaaaa to Logged errors should provide a full stack trace.Jul 1 2018, 11:16 AM
mobrovac closed this task as Resolved.
mobrovac assigned this task to Pchelolo.
mobrovac lowered the priority of this task from High to Medium.
mobrovac updated the task description. (Show Details)
mobrovac removed a subscriber: Pchelolo.